

# ListRulesets


List all rulesets available in the current account or rulesets associated with a specific resource (dataset).

## Request Syntax


```
GET /rulesets?maxResults=MaxResults&nextToken=NextToken&targetArn=TargetArn HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [MaxResults](#API_ListRulesets_RequestSyntax) **   <a name="databrew-ListRulesets-request-uri-MaxResults"></a>
The maximum number of results to return in this request.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [NextToken](#API_ListRulesets_RequestSyntax) **   <a name="databrew-ListRulesets-request-uri-NextToken"></a>
A token generated by DataBrew that specifies where to continue pagination if a previous request was truncated. To get the next set of pages, pass in the NextToken value from the response object of the previous page call.  
Length Constraints: Minimum length of 1. Maximum length of 2000.

 ** [TargetArn](#API_ListRulesets_RequestSyntax) **   <a name="databrew-ListRulesets-request-uri-TargetArn"></a>
The Amazon Resource Name (ARN) of a resource (dataset). Using this parameter indicates to return only those rulesets that are associated with the specified resource.  
Length Constraints: Minimum length of 20. Maximum length of 2048.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "Rulesets": [ 
      { 
         "AccountId": "string",
         "CreateDate": number,
         "CreatedBy": "string",
         "Description": "string",
         "LastModifiedBy": "string",
         "LastModifiedDate": number,
         "Name": "string",
         "ResourceArn": "string",
         "RuleCount": number,
         "Tags": { 
            "string" : "string" 
         },
         "TargetArn": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Rulesets](#API_ListRulesets_ResponseSyntax) **   <a name="databrew-ListRulesets-response-Rulesets"></a>
A list of RulesetItem. RulesetItem contains meta data of a ruleset.  
Type: Array of [RulesetItem](API_RulesetItem.md) objects

 ** [NextToken](#API_ListRulesets_ResponseSyntax) **   <a name="databrew-ListRulesets-response-NextToken"></a>
A token that you can use in a subsequent call to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ResourceNotFoundException **   
One or more resources can't be found.  
HTTP Status Code: 404

 ** ValidationException **   
The input parameters for this request failed validation.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/databrew-2017-07-25/ListRulesets) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/databrew-2017-07-25/ListRulesets) 